Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class CreateViewAndElementRequest.ViewAndElementDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
          org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewAndElementRequest.ViewAndElementDescriptor

All Implemented Interfaces:
  IAdaptable

Enclosing class:
  CreateViewAndElementRequest

public static class CreateViewAndElementRequest.ViewAndElementDescriptor
extends CreateViewRequest.ViewDescriptor

An extended view descriptor that takes an `ElementDescriptor` instead of `IAdaptable` as the element adapter

Constructor Summary
`CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, java.lang.Class viewkind, PreferencesHint preferencesHint)` Constructor for ViewAndElementDescriptor.
`CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, java.lang.Class viewKind, java.lang.String semanticHint, int index, PreferencesHint preferencesHint)` Constructor for ViewAndElementDescriptor.
`CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, java.lang.Class viewkind, java.lang.String semanticHint, PreferencesHint preferencesHint)` Constructor for ViewAndElementDescriptor.
`CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter, PreferencesHint preferencesHint)` Constructor for ViewAndElementDescriptor.

Method Summary
`CreateElementRequestAdapter` `getCreateElementRequestAdapter()` Method getElementDescriptor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
`getAdapter, getElementAdapter, getIndex, getPreferencesHint, getSemanticHint, getViewKind, isPersisted, setPersisted, setView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateViewAndElementRequest.ViewAndElementDescriptor

    public CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                PreferencesHint preferencesHint)

  Constructor for ViewAndElementDescriptor.

Parameters:
  `requestAdapter` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateViewAndElementRequest.ViewAndElementDescriptor

    public CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                java.lang.Class viewkind,
                                                                PreferencesHint preferencesHint)

  Constructor for ViewAndElementDescriptor.

Parameters:
  `requestAdapter` -
  `viewkind` -

### CreateViewAndElementRequest.ViewAndElementDescriptor

    public CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                java.lang.Class viewkind,
                                                                java.lang.String semanticHint,
                                                                PreferencesHint preferencesHint)

  Constructor for ViewAndElementDescriptor.

Parameters:
  `requestAdapter` -
  `viewkind` -
  `semanticHint` -

### CreateViewAndElementRequest.ViewAndElementDescriptor

    public CreateViewAndElementRequest.ViewAndElementDescriptor(CreateElementRequestAdapter requestAdapter,
                                                                java.lang.Class viewKind,
                                                                java.lang.String semanticHint,
                                                                int index,
                                                                PreferencesHint preferencesHint)

  Constructor for ViewAndElementDescriptor.

Parameters:
  `requestAdapter` -
  `viewKind` -
  `semanticHint` -
  `index` -

Method Detail

### getCreateElementRequestAdapter

    public CreateElementRequestAdapter getCreateElementRequestAdapter()

  Method getElementDescriptor.

  Returns:
    ElementDescriptor

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.